Subject: bug#10996: 24.0.94; Splash screen causes first character to beep with emacsclient

From: Stefan Monnier <[email-masked]>
Date: Tue, 10 Apr 2012 12:51:25 -0400

>> Thanks, I can reproduce this now.  Looks like a regression against 23.4.
> This regression was introduced by the following commit.  I think somehow
> the keymap of the splash screen is getting applied to the first
> character typed into the emacsclient frame (which should be in the
> scratch buffer).

Indeed, the problem is that the key is read using the
splash-screen-keymap.  My commit is not the actual cause since it only
affects command remapping, and if you try his recipe and hit `q' (which
is not using command-remapping), you'll see that it does something even
more interesting.  I.e. the same problem existed with `q' before
my change.

But indeed it's a regression compared to Emacs-23, tho I haven't yet
figured where the problem really comes from.

        Stefan